org.apache.hc.client5.http.impl

## Class ProtocolSupport

- java.lang.Object
- - org.apache.hc.client5.http.impl.ProtocolSupport

    @Internal
    public final class ProtocolSupport
    extends Object

Protocol support methods.

Since:
  5.1

### Constructor Summary

Constructors
Constructor and Description
`ProtocolSupport()`

### Method Summary

Methods
`static String` `getRequestUri(org.apache.hc.core5.http.HttpRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProtocolSupport

    public ProtocolSupport()

### Method Detail

#### getRequestUri

    public static String getRequestUri(org.apache.hc.core5.http.HttpRequest request)